All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.tableview
Class RowsTag

    com.sas.taglib.servlet.tbeans.tableview.RowsTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class RowsTag

RowsTag is the tag handler class for the sas:Rows custom tag . RowsTag is invoked by the JSP page to evaluate the sas:Rows custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, TableView, to execute the methods.

If you need to extend or modify the functionality of the sas:Rows custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:Rows custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `DefaultTableRowModel`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`RowsTag()`

Method Summary

Methods inherited from class com.sas.taglib.BaseBodyTag
`applyAttributes, doCatch, doFinally, doStartTag, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, initialize, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### RowsTag

    public RowsTag()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.